Bug 245357

Summary: www/py-django-extensions: Update to 2.2.9
Product: Ports & Packages Reporter: Kai Knoblich <kai>
Component: Individual Port(s)Assignee: Kai Knoblich <kai>
Status: Closed FIXED    
Severity: Affects Only Me CC: ports, wen
Priority: --- Flags: ports: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/django-extensions/django-extensions/blob/2.2.9/CHANGELOG.md
Bug Depends on:    
Bug Blocks: 245309    
Attachments:
Description Flags
py-django-extensions-2.2.9.patch ports: maintainer-approval+

Description Kai Knoblich freebsd_committer 2020-04-04 20:40:55 UTC
Created attachment 213071 [details]
py-django-extensions-2.2.9.patch

Hi,

attached is the patch that updates www/py-django-extensions to 2.2.9 and assigns it from Django 1.11 (End-of-Life since April 2020) to Django 2.2 (next LTS release).

It also updates www/py-dj22-django-extensions to 2.2.9 (to keep in sync with www/py-django-extensions) and marks it as deprecated as it becomes obsolete once www/py-django-extensions is switched to Django 2.2.

No expiration date is set at the moment as a few more Django 1.11 ports needs to be assigned to Django 2.2 first.


QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 Wen Heping freebsd_committer 2020-04-05 02:03:13 UTC
Hi,

1) RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}django22>=1.11:www/py-django22@${PY_FLAVOR}

I prefer: 
RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}django22>=0:www/py-django22@${PY_FLAVOR}


2) www/py-dj22-django-extensions world be removed.


wen
Comment 2 Kai Knoblich freebsd_committer 2020-04-05 11:22:04 UTC
(In reply to Wen Heping from comment #1)


> I prefer: 
> RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}django22>=0:www/py-django22@${PY_FLAVOR}

Thank you for the pointer. Technically we should remove the above line completely as Django is only listed as 'tests_depends' with no version given although the Trove classifier declares the minimum Django version with 1.11.

What do you think about it?

> 2) www/py-dj22-django-extensions world be removed.

Indeed, in my opinion we should deprecate that port first and set no expiration date (using ports r530513 as an example) because it still used by its consumer deskutils/py-paperless that also use some other www/py-dj22-django-* ports.

I mean, we could do following:

- Update www/py-django-extension and assign it to Django 2.2

- Update the RUN_DEPENDS of www/py-paperless by changing the RUN_DEPENDS from www/py-dj22-django-extensions to www/py-django-extensions and bump PORTREVISION

- Delete the www/py-dj22-django-extension port

Or we could do following steps which might be more useful, IMHO:

- Assign/Update the remaining Django 1.11 ports (from which all those py-dj22-django-* were repo-copied from) and mark the py-dj22-django ports as deprecated.

- Switch the consumers that use those www/py-dj22-django-* ports to the updated/re-assigned www/py-django-* ports at once (as outlined under "Wave 5" at https://wiki.freebsd.org/Ports/Django)

- Set all www/py-dj22-django ports to expire (listed under "Wave 6" at the FreeBSD wiki).

With the second approach we would have also some benefits:

- Avoid many PORTREVISION bumps
- It would be still be possible to do MFHs of the consumers that use the www/py-dj22-django-* ports (e.g. net-mgmt/netbox, deskutils/py-paperless, etc.).
Comment 3 Kevin Golding 2020-04-11 16:34:10 UTC
Agreed, with a vote for depreciation of www/py-dj22-django-extension ahead of deletion. It's a gentler transition.
Comment 4 commit-hook freebsd_committer 2020-04-12 13:35:06 UTC
A commit references this bug:

Author: kai
Date: Sun Apr 12 13:34:09 UTC 2020
New revision: 531517
URL: https://svnweb.freebsd.org/changeset/ports/531517

Log:
  www/py-django-extensions: Update to 2.2.9

  * Assign the port to Django 2.2 (current LTS release) as Django 1.11 is
    End-of-Life since April.

  Changelog:

  https://github.com/django-extensions/django-extensions/blob/2.2.9/CHANGELOG.md

  PR:		245357
  Reviewed by:	wen
  Approved by:	Kevin Golding <ports@caomhin.org> (maintainer)

Changes:
  head/www/py-django-extensions/Makefile
  head/www/py-django-extensions/distinfo
Comment 5 commit-hook freebsd_committer 2020-04-12 13:38:08 UTC
A commit references this bug:

Author: kai
Date: Sun Apr 12 13:37:43 UTC 2020
New revision: 531518
URL: https://svnweb.freebsd.org/changeset/ports/531518

Log:
  www/py-dj22-django-extensions: Update to 2.2.9

  * Mark it as DEPRECATED because the port is obsolete since r531517.

    Don't set an expiration date for now as the port is still required by
    deskutils/py-paperless and few more Django 1.11 ports need to be assigned
    to Django 2.2 first.

  Changelog:

  https://github.com/django-extensions/django-extensions/blob/2.2.9/CHANGELOG.md

  PR:		245357
  Reviewed by:	wen
  Approved by:	Kevin Golding <ports@caomhin.org> (maintainer)

Changes:
  head/www/py-dj22-django-extensions/Makefile
  head/www/py-dj22-django-extensions/distinfo
Comment 6 Kai Knoblich freebsd_committer 2020-04-12 13:45:59 UTC
(In reply to Kevin Golding from comment #3)

Committed, thank you for your feedback and approval!
Comment 7 commit-hook freebsd_committer 2020-06-24 21:18:13 UTC
A commit references this bug:

Author: kai
Date: Wed Jun 24 21:18:04 UTC 2020
New revision: 540351
URL: https://svnweb.freebsd.org/changeset/ports/540351

Log:
  www/py-dj22-django-extensions: Set to expire

  * The port was already set as DEPRECATED some time ago and its only
    consumer, deskutils/py-paperless, has now been switched to the original
    port.

  PR:		245357

Changes:
  head/www/py-dj22-django-extensions/Makefile